| Classes - Annotated - Tree - Functions - Home - Structure

# QXmlParseException Class Reference
[ XML module ]

The QXmlParseException class is used to report errors with the QXmlErrorHandler interface. More...

`#include <qxml.h>`

List of all member functions.

## Public Members

- QXmlParseException ( const QString & name="", int c=-1, int l=-1, const QString & p="", const QString & s="" )
- int columnNumber () const
- int lineNumber () const
- QString publicId () const
- QString systemId () const
- QString message () const

## Detailed Description

The QXmlParseException class is used to report errors with the QXmlErrorHandler interface.

See also QXmlErrorHandler.

## Member Function Documentation

### QXmlParseException::QXmlParseException ( const QString & name="", int c=-1, int l=-1, const QString & p="", const QString & s="" )

Constructs a parse exception with the error string name in the column c and line l for the public identifier p and the system identifier s.

### int QXmlParseException::columnNumber () const

Returns the column number the error occured.

### int QXmlParseException::lineNumber () const

Returns the line number the error occured.

### QString QXmlParseException::message () const

Returns the error message.

### QString QXmlParseException::publicId () const

Returns the public identifier the error occured.

### QString QXmlParseException::systemId () const

Returns the system identifier the error occured.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.